<app-sidebar
  #appSidebar
  [fixed]="true"
  [display]="'lg'"
  [minimized]="sidebarMinimized"
  (minimizedChange)="toggleMinimize($event)"
>
  <div
    id="sidebar-main"
    class="sidebar sidebar-default sidebar-separate sidebar-fixed ps"
  >
  
      <div class="sidebar-content">
        
        <div class="sidebar-category sidebar-default">

          <div class="sidebar-search">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search" />
              <button class="btn-search" type="button">
                <i class="fa fa-search"></i>
              </button>
            </div>
          </div>

        </div>

        <!-- /Sidebar Category -->
          <div class="sidebar-category sidebar-default">
            <perfect-scrollbar style="max-height: 100vh" [config]="config">
              <div class="category-content">
                <ul id="fruits-nav" class="nav flex-column ps ps--active-y">

                  <li class="nav-item">
                    <a href="#" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/dashboard.svg" />
                        Dashboard
                    </a>
                  </li>

                  <li class="nav-item">
                    <a routerLink="admin" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/user.svg" />
                        Admin
                    </a>
                  </li>

                  <li class="nav-item">
                    <a href="#" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/company.svg" />
                        Company Highlights
                    </a>
                  </li>

                  <li class="nav-item">
                    <a routerLink="performance" routerLinkActive="active" href="#" class="nav-link">
                      <img src="../../../assets/img/sidebar/myperformance.svg" />
                        My Performance
                    </a>
                  </li>

                  <li class="nav-item">
                    <a routerLink="earning" routerLinkActive="active" href="#" class="nav-link">
                      <img src="../../../assets/img/sidebar/earning.svg" />
                        My Earnings
                    </a>
                  </li>

                  <li class="nav-item">
                    <a routerLink="facility" routerLinkActive="active" href="#" class="nav-link">
                      <img src="../../../assets/img/sidebar/Payment.svg" />
                        My Credit Facility
                    </a>
                  </li>

                  <li class="nav-item">
                    <a  routerLink="marketplace" routerLinkActive="active" href="#" class="nav-link">
                      <img src="../../../assets/img/sidebar/marketplace.svg" />
                        Marketplace
                    </a>
                  </li>

                  <li class="nav-item">
                    <a (click)="openSignInModal(template)" routerLinkActive="active" href="javascript:;" class="nav-link">
                      <img src="../../../assets/img/sidebar/api.svg" />
                        My APIs
                    </a>
                  </li>

                  <li class="nav-item">
                    <a href="#" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/ecosysytem.svg" />
                        My Ecosystem
                    </a>
                  </li>

                  <li class="nav-item">
                    <a href="#" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/myperformance.svg" />
                         My Account Statements
                    </a>
                  </li>

                  <li class="nav-item">
                    <a href="#" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/Product.svg" />
                          My Products
                    </a>
                  </li>

                  <li class="nav-item">
                    <a href="#" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/Invite.svg" />
                         Invite Others
                    </a>
                  </li>

                  <li class="nav-item">
                    <a href="#" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/Customer.svg" />
                         Customer Service
                    </a>
                  </li>

                  <li class="nav-item">
                    <a href="#" routerLinkActive="active" class="nav-link">
                      <img src="../../../assets/img/sidebar/Logout.svg" />
                          Logout
                    </a>
                  </li>

                </ul>
                <!-- /Nav -->
              </div>
            </perfect-scrollbar>
            <!-- /Category Content -->
          </div>
        <!-- /Sidebar Category -->

      </div>
    
  </div>
</app-sidebar>

<ng-template #template>
  <div class="modal-header">
    <h4 class="modal-title pull-left">confirmation  Modal</h4>
    <button type="button" class="btn-close close pull-right" aria-label="Close" (click)="modalRef?.hide()">
      <span aria-hidden="true" class="visually-hidden">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    confirmation 
  </div>
</ng-template>